gnutls_pkcs11_privkey_generate2(3)

NAME
gnutls_pkcs11_privkey_generate2 - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_privkey_generate2(const char* url, gnutls_pk_algorithm_t pk, unsigned int bits, const char* label, gnutls_x509_crt_fmt_t fmt, gnutls_datum_t * pubkey, unsigned int flags);

ARGUMENTS

const char* url
    a token URL

gnutls_pk_algorithm_t pk
    the public key algorithm

unsigned int bits
    the security bits

const char* label
    a label

gnutls_x509_crt_fmt_t fmt
    the format of output params. PEM or DER.

gnutls_datum_t * pubkey
    will hold the public key (may be NULL)

unsigned int flags
    should be zero

DESCRIPTION
This function will generate a private key in the specified by the url token. The private key will be generate within the token and will not be exportable. This function will store the DER-encoded public key in the SubjectPublicKeyInfo format in pubkey . The pubkey should be deinitialized using gnutls_free().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.1.5

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/